{"comment":"/**\n * com.getperka.logging.model schema\n */","models":{"Level":{"comment":"/**\n   * Severity levels, inherited from the SLF4J design. The enum declaration\n   * order reflects the relative severity of the messages.\n   */","dialectProperties":{},"enumValues":[{"name":"TRACE"},{"name":"DEBUG"},{"name":"INFO"},{"name":"WARN"},{"name":"ERROR"}],"name":"Level"},"Message":{"comment":"/**\n   * An individual log message. The properties in this class should be those not\n   * suitable for aggregation.\n   */","dialectProperties":{},"name":"Message","properties":[{"name":"level","type":{"name":"Level","kind":"ENUM"}},{"name":"name","type":{"kind":"STRING"}},{"name":"message","type":{"kind":"STRING"}},{"name":"requestUuid","type":{"kind":"STRING"}},{"comment":"/**\n     * The thread name is subject to changing over time, which is useful in the\n     * case of our jax-rs container, since the thread name reflects the request\n     * that\u0027s currently being processed.\n     */","name":"threadName","type":{"kind":"STRING"}},{"comment":"/**\n     * A unique identifier within a process to separate messages that may have\n     * been generated concurrently.\n     * \n     * @see Message#getThreadName()\n     */","name":"threadId","type":{"kind":"STRING"}},{"name":"thrown","type":{"name":"Thrown","kind":"DDL"}},{"comment":"/**\n     * A string containing the number of milliseconds since the epoch.\n     */","name":"timestamp","type":{"kind":"STRING"}},{"name":"uuid","type":{"kind":"STRING"}}]},"MessageBundle":{"comment":"/**\n   * Associates a source with a collection of messages produced by that source.\n   * This decreases the amount of repetitive information that would be have to\n   * be encoded in each individual Message object.\n   */","dialectProperties":{},"name":"MessageBundle","properties":[{"name":"messages","type":{"kind":"LIST","listElement":{"name":"Message","kind":"DDL"}}},{"name":"source","type":{"name":"Source","kind":"DDL"}},{"name":"uuid","type":{"kind":"STRING"}}]},"Source":{"comment":"/**\n   * Describes where a message originated from. In general, properties in this\n   * class should be invariants that are useful for aggregation.\n   */","dialectProperties":{},"name":"Source","properties":[{"comment":"/** Describes the type of client that produced the message. */","name":"environment","type":{"kind":"STRING"}},{"comment":"/** The unique host identifier */","name":"hostname","type":{"kind":"STRING"}},{"comment":"/** A human-readable name for the process. */","name":"processName","type":{"kind":"STRING"}},{"comment":"/** A unique identifier to track all messages from a particular run. */","name":"processUuid","type":{"kind":"STRING"}}]},"StackFrame":{"comment":"/**\n   * Represents a StackTraceElement.\n   */","dialectProperties":{},"name":"StackFrame","properties":[{"name":"className","type":{"kind":"STRING"}},{"name":"fileName","type":{"kind":"STRING"}},{"name":"lineNumber","type":{"kind":"INTEGER"}},{"name":"methodName","type":{"kind":"STRING"}}]},"Thrown":{"comment":"/**\n   * Represents a Throwable. The name is a bit awkward, but was chosen so as to\n   * not conflict with built-in names.\n   */","dialectProperties":{},"name":"Thrown","properties":[{"name":"cause","type":{"name":"Thrown","kind":"DDL"}},{"name":"message","type":{"kind":"STRING"}},{"name":"stackTrace","type":{"kind":"LIST","listElement":{"name":"StackFrame","kind":"DDL"}}},{"comment":"/** The exception\u0027s original type. */","name":"type","type":{"kind":"STRING"}}]}}}